<?php
function smarty_function_flash_query_string($params, &$smarty) {
	//
	$qs_template = array();
	$qs_template[0] = "page";
	$qs_template[1] = "cat";
	$qs_template[2] = "lm";
	$qs_template[3] = "cfg";
	$qs_template[4] = "data";
	
	$qs = "?";
	foreach($qs_template as $key => $value) {
		$qs .= $value."=";
		$qs .= ($params[$value]) ? $params[$value] : $_GET[$value];	
		$qs .= "|||";
	}
	
	return $qs;
}
?>